> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Groups

> Fetch a list of groups for a specific round.



## OpenAPI

````yaml /api-reference/rounds/openapi.json get /groups
openapi: 3.0.0
info:
  title: Rounds
  version: 1.0.0
  description: API endpoints for accessing rounds
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /groups:
    get:
      summary: Get Groups
      description: Fetch a list of groups for a specific round.
      operationId: getGroups
      parameters:
        - name: RoundId
          in: query
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the round to fetch groups for.
      responses:
        '200':
          description: Tournament groups fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGroupsResponse'
              example:
                success: true
                message: Tournament groups fetched successfully
                data:
                  items:
                    - id: 61e28f2f-367a-4cfc-8488-3a3aa4e4e04e
                      tournamentRoundId: 44accbab-48f7-4fe0-8085-df45903863a8
                      groupName: Group 2
                      maxParticipants: 2
                      participantCount: 1
                      versions:
                        - 1
                    - id: ee6c62d0-0802-4327-9961-5ed446f5702f
                      tournamentRoundId: 44accbab-48f7-4fe0-8085-df45903863a8
                      groupName: Group 1
                      maxParticipants: 2
                      participantCount: 1
                      versions:
                        - 1
                  totalCount: 2
                  pageNumber: 1
                  pageSize: 20
                  totalPages: 1
                meta:
                  traceId: 00-6d8642838e87422cf7542f4ffd03d43c-12bb91840eab74d5-00
                  elapsedMs: 5.19
                  serverTimestamp: '2026-02-17T12:23:19.2748999Z'
components:
  schemas:
    GetGroupsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/GroupItem'
            totalCount:
              type: integer
            pageNumber:
              type: integer
            pageSize:
              type: integer
            totalPages:
              type: integer
        meta:
          $ref: '#/components/schemas/Meta'
    GroupItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tournamentRoundId:
          type: string
          format: uuid
        groupName:
          type: string
        maxParticipants:
          type: integer
        participantCount:
          type: integer
        versions:
          type: array
          items:
            type: integer
    Meta:
      type: object
      properties:
        traceId:
          type: string
          example: 00-f125448ab05644fa80f36b22f1d71ac5-0124b07dc253ea94-00
        elapsedMs:
          type: number
          example: 70.26
        serverTimestamp:
          type: string
          format: date-time
          example: '2026-02-12T11:21:26.4669586Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````